aboutsummaryrefslogtreecommitdiffstats
path: root/mkbuild.sh
diff options
context:
space:
mode:
authorJose Bollo <jose.bollo@iot.bzh>2019-12-10 09:32:00 +0100
committerJosé Bollo <jose.bollo@iot.bzh>2019-12-13 14:58:00 +0100
commitf1bcc5cd93e050b9147d56c53c8e7fbe36298c55 (patch)
tree96919959aa6a8251fdaadc0e2b7460ee254f0686 /mkbuild.sh
Initial commit
Provide a simple authorization server that delivers token using "client credential" flow, based on the Smack label. Bug-AGL: SPEC-2968 Change-Id: I941c96b06a6de3b2b38875c12ada42621593791c Signed-off-by: José Bollo <jose.bollo@iot.bzh>
Diffstat (limited to 'mkbuild.sh')
-rwxr-xr-xmkbuild.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/mkbuild.sh b/mkbuild.sh
new file mode 100755
index 0000000..9f70321
--- /dev/null
+++ b/mkbuild.sh
@@ -0,0 +1,17 @@
+#/bin/sh
+
+h="$(dirname $0)"
+
+mkdir -p "$h/build" || exit
+cd "$h/build" || exit
+
+[ "$1" = "-f" ] && { rm -r * 2>/dev/null; shift; }
+[ "$1" = "--force" ] && { rm -r * 2>/dev/null; shift; }
+
+cmake \
+ -DCMAKE_BUILD_TYPE=Debug \
+ -DCMAKE_INSTALL_PREFIX=~/.local \
+ ..
+
+make -j "$@"
+